- Home
- API Enriched
- Shape
- shape
- GET Report Download URL.
GET Report Download URL.
GET
/api/shape/csd/namespaces/{namespace}/reports/metadata/{job_id}/download
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/reports/metadata/example/download';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/reports/metadata/example/download \ --header 'Authorization: <Authorization>'GET a presigned URL to download a report artifact.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”namespace
required
string
Namespace Namespace.
job_id
required
string
Job_id x-required Report generation job identifier.
Responses
Section titled “Responses”A successful response.
Media typeapplication/json
GetDownloadReportPresignedUrlResponse
Response with a presigned download URL.
object
expires_in_seconds
expires_in_seconds
URL expiration in seconds.
string format: int64
presigned_url
presigned_url
Presigned URL for report download.
string
Examplegenerated
{ "expires_in_seconds": "example", "presigned_url": "example"}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example